## dpatch 2.0.8

=== dpatch/Makefile ===
top_srcdir	:= ..

DPATCH_SRCS	:= $(shell sed -n s/^\#:include//p dpatch.shpp)

include ../config.mk

all: dpatch

dpatch: dpatch.shpp ../debian/changelog ${DPATCH_SRCS}

	DPATCH_REVISION="${DPATCH_REVISION}" \
	  SYSCONFDIR="${sysconfdir}" ../build-tools/shpp.awk <dpatch.shpp >dpatch
	chmod +x dpatch

clean:
	rm -f dpatch

install: all
	install --mode 0755 dpatch ${DESTDIR}${bindir}/
	install --mode 0644 dpatch.1 ${DESTDIR}${man1dir}/
	install --mode 0644 dpatch.7 ${DESTDIR}${man7dir}/

.PHONY: all clean install
.SUFFIXES:

# arch-tag: ae9d044e-94e2-4692-9a3d-fbff280e147e

=== debian/changelog ===
dpatch (2.0.8) unstable; urgency=low

  * Fix typo in dpatch-edit-patch from previous upload

 -- David B. Harris <dbharris@debian.org>  Tue, 16 Mar 2004 23:17:13 -0500

dpatch (2.0.7) unstable; urgency=medium

  * dpatch/dpatch_lowlevel.shpp:
    + Don't create stampfile if the patch failed to apply, create
      stampfile.failed instead
    + When applying a patch failes, record its md5sum in stampfile.failed
    + When unapplying patches, if .failed exists and the md5sum matches still
      matches, ignore failure (a half-applied patch will be successfully
      reverted if the patch hasn't changed)
  * dpep/dpatch-edit-patch: Don't mistakenly apply patch in source tree (which
    it will if you're editing the first patch in 00list). (Closes: #235596)
  * debian/control: Change my Uploaders: email address from my private one to
    dbharris@debian.org

 -- David B. Harris <dbharris@debian.org>  Mon,  1 Mar 2004 13:13:26 -0500

dpatch (2.0.6) unstable; urgency=high

  * Gergely Nagy:
    - dpep/dpatch-edit-patch: When editing a pre-existing patch, force
      dpatch to skip creating stamp files (as they'd show up in the diff,
      which is a Bad Thing).
    - dpatch/dpatch_patchset.shpp: Fixed a serious file name comparsion
      bug (noticed by David B Harris).
  * David B Harris:
    - dpep/dpatch-edit-patch: Use 'debian/rules clean unpatch' to clean the
      source tree before replication - this allows for one to ship a
      regular-style source package (with all the patches applied to the tree)
      even if dpatch is used. Thanks, Bill Allombert. (Closes: #195823)
    - Use 'grep -F' instead of 'egrep -F'. The latter is seriously broken.

 -- Gergely Nagy <algernon@bonehunter.rulez.org>  Mon, 23 Feb 2004 21:26:34 +0100

dpatch (2.0.5) unstable; urgency=medium

  * David B Harris:
    - Mention in the manpage that if a maintainer wants to preprocess their
      00list with cpp, they need to add it to Build-Depends or
      Build-Depends-Indep, as it isn't a dpatch dependency.
    - dpatch/dpatch_lowlevel.shpp: Make sure stampfile is put in place even if
      patching fails - without this, a half-applied dpatch wouldn't be
      un-half-applied via 'debian/rules unpatch'. Future attempts to
      'debian/rules patch', even with a fixed dpatch, would fail.
    - dpatch/dpatch_template.shpp: Add @DPATCH@ tag to generated template
    - dpep/dpatch-edit-patch: Fix bug where if the interactive subshell exited
      with *anything* other than 0, the script would abort (and not clean up,
      at that). The intention is to only abort if the shell exits with code
      230 (ie: the developer explicitly goes 'exit 230').
    - dpep/dpatch-edit-patch{,.functions}: Port to using new /usr/bin/dpatch
      calls instead of reimplementing the (old) dpatch.make. Also support an
      executable 00template (which is supposed to dump the dpatch header to
      STDOUT) via DPEP_OPTION_EXEC_TEMPLATE=1 in 00options. Not yet
      documented.

 -- David B Harris <david@eelf.ddts.net>  Tue, 17 Feb 2004 04:24:14 -0500

dpatch (2.0.4) unstable; urgency=low

  * Gergely Nagy:
    - Handle empty 00list files correctly, patch from Daniel Kobras.
      (Closes: #228556)
    - Fixed dpatch-convert-diffgz, which was broken some time ago.
  * David B. Harris:
    - Use `head -n 1' instead of `head -1', patch from Robert Luberda.
      (Closes: #229941)
    - Added support for debian/patches/00options (see man page for
      details).

 -- Gergely Nagy <algernon@bonehunter.rulez.org>  Sun, 15 Feb 2004 12:55:34 +0100

dpatch (2.0.3) unstable; urgency=medium

  * Gergely Nagy:
    - Do not ship NEWS.Debian. (Noticed by Jordi Mallach and Joey Hess)
      (Closes: #227991)
    - Updated README to note that there are cases when patch-stamp should
      be a prerequisite of something else than build-stamp.
      (Closes: #197956)
    - Implemented configuration file support (no documentation yet,
      sorry).

 -- Gergely Nagy <algernon@bonehunter.rulez.org>  Sun, 18 Jan 2004 14:49:00 +0100

dpatch (2.0.2) unstable; urgency=low

  * Gergely Nagy:
    - dpatch --workdir does not cd to the destination directory
      anymore. Add a --chdir option to restore the old behaviour.
    - README made clear about patch order. Thanks to Steve Greenland for
      noticing. (Closes: #223876)
    - Written a short dpatch(7).
    - Fixed bashisms, thanks to Ian Dichkovsky. (Closes: #224879)
    - Made dpatch patch-template work with a diff on its STDIN.

 -- Gergely Nagy <algernon@bonehunter.rulez.org>  Sat, 10 Jan 2004 13:28:20 +0100

dpatch (2.0.1) experimental; urgency=low

  * Gergely Nagy:
    - Fixed example installation, noticed by Geert Stappers.
      (Closes: #217136)
    - Include README.arch in the binary package. Patch from Geert
      Stappers. (Closes: #221976)
    - Mention README.arch in the README. Patch from Geert Stappers.
      (Closes: #221979)
    - Update README.arch, so it has commands for tla 1.0 too. Omission
      noticed by Geert Stappers. (Closes: #221980)
    - Restore dpatch1 compatibility. Noticed and solution provided by
      Geert Stappers. (Closes: #222006)
    - Implemented "dpatch log" and added a "--verbose" option to the apply
      and deapply sub-commands. Requested by Geert Stappers.
      (Closes: #222103)

 -- Gergely Nagy <algernon@bonehunter.rulez.org>  Sat,  6 Dec 2003 20:51:59 +0100

dpatch (2.0.0) experimental; urgency=low

  * Gergely Nagy:
    - Rewritten dpatch to be a stand-alone script, with a compatibility
      dpatch.make wrapper.
    - As a side effect, this fixes the following bugs:
      + #203999: dpatch: Extension check in unpatch is leaking.
      + #217040: leaks private information from development environment
      + #209107: dpatch: reserving some of the patch $1 namespace for
        package use.
      + #209109: dpatch: like to expliticly patch a random src tree copy.
      + #217045: should revert half-failed patches


=== debian/rules ===
#!/usr/bin/make -f
# Gergely loves debhelper less - lets do it without debhelper then :)

DPATCH		= ${CURDIR}/debian/dpatch
MAN1DIR		= ${DPATCH}/usr/share/man/man1
MAN7DIR		= ${DPATCH}/usr/share/man/man7
DOCDIR		= ${DPATCH}/usr/share/doc/dpatch
EXDIR		= ${DOCDIR}/examples

DOCS		= README README.History README.arch

build:
	test -e debian/control
	${MAKE}

testroot:
	test -e debian/control && test xroot = x`whoami`

clean: testroot
	${MAKE} clean
	rm -rf debian/files* ${DPATCH}

# General compresser rule
${DOCDIR}/%.gz: %
	gzip -9fc $< >$@

# Install directories
installdirs:
	install -d ${DPATCH}/usr/bin \
		   ${DPATCH}/DEBIAN \
		   ${EXDIR} ${MAN1DIR} ${MAN7DIR} \
		   ${DPATCH}/etc/bash_completion.d

# Install everything, save DEBIAN/ and stuff from debian/
install: build installdirs \
	 $(addsuffix .gz,$(addprefix ${DOCDIR}/,${DOCS}))
# dpatch itself
	${MAKE} install DESTDIR=${DPATCH}
# history
	cp -r history ${DOCDIR}/
# Compress stuff
	find ${MAN1DIR} -type f -not -name '*.gz' | xargs gzip -9f
	find ${MAN7DIR} -type f -not -name '*.gz' | xargs gzip -9f
	find ${EXDIR} -type f -not -name '*.gz' | xargs gzip -9f
	find ${DOCDIR}/history -type d -name '.arch-ids' | xargs rm -rf
	find ${DOCDIR}/history -type f -not -name '*.gz' | xargs gzip -9f

# Install the whole thing, including DEBIAN/ and stuff from debian/
binary-dpatch: testroot install
#	gzip -9fc debian/NEWS >${DOCDIR}/NEWS.Debian.gz
	gzip -9fc debian/changelog >${DOCDIR}/changelog.gz
	install -m 0644 debian/copyright ${DOCDIR}/copyright
	cd ${DPATCH} >/dev/null ;\
	  find etc -type f -printf "/%p\n" >DEBIAN/conffiles
	cd ${DPATCH} >/dev/null; \
	  find * -type f ! -regex '^DEBIAN/.*' -print0 | \
		xargs -r0 md5sum > DEBIAN/md5sums
	dpkg-gencontrol -isp -P${DPATCH}
	dpkg --build ${DPATCH} ..

binary-indep: binary-dpatch
binary-arch: ;
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary installdirs install \
	binary-dpatch testroot

# arch-tag: bb474018-43b6-4bc2-91bc-6d0129cd7639

## dpatch 2.0.10

=== dpep/Makefile ===
top_srcdir	:= ..

include ../config.mk

all clean: ;

install:
	install --mode 0755 dpatch-edit-patch ${DESTDIR}${bindir}/
	install --mode 0644 dpatch-edit-patch.1 ${DESTDIR}${man1dir}/
	install -d ${DESTDIR}${pkgdatadir}
	install --mode 0644 dpatch-edit-patch.functions ${DESTDIR}${pkgdatadir}/
	install -d ${DESTDIR}${sysconfdir}/bash_completion.d
	install -m 0644	dpatch_edit_patch.bash_completion.d \
		${DESTDIR}${sysconfdir}/bash_completion.d/dpatch_edit_patch

# arch-tag: c0b95903-bfa1-4c80-b7f8-50427aa84de9

=== debian/changelog ===
dpatch (2.0.10) unstable; urgency=high

  * Gergely Nagy:
    + Install NEWS.Debian; thanks, Peter Eisentraut. (Closes: #275163).
    + Urgency set to high, so we can get in sarge, maybe.

 -- Gergely Nagy <algernon@bonehunter.rulez.org>  Thu,  7 Oct 2004 10:04:05 +0200

dpatch (2.0.9) unstable; urgency=low

  * Nico Golde:
    + Fixed dpatch-convert-diffgz.1, patch from Helge
      Kreutzmann. (Closes: #242893)
    + Fixed dpatch deapply documentation, patch from Shaul Karl.
      (Closes: #255476)
  * Gergely Nagy
    + Fixed dpatch-edit-patch local information leak, patch from Darren
      Salt. (Closes: #240709)
    + Modified the default templates to call patch with -g0. Requested by
      John V. Belmonte. (Closes: #259662)
    + Extracted commonly used dpatch scriptlet code, providing two new
      ways to make a dpatch scriptlet shorter and lighter. See
      NEWS.Debian for details. Thanks to Tobias Grimm, Thomas Gnther for
      their ideas. (Closes: #259356)
    + Made dpatch-edit-patch call dpatch deapply-all directly, upon
      cleaning. Request from Bastian Kleineidam. (Closes: #260666)

 -- Gergely Nagy <algernon@bonehunter.rulez.org>  Tue, 17 Aug 2004 16:35:53 +0200

=== debian/control ===
Source: dpatch
Section: devel
Priority: optional
Maintainer: Joerg Jaspert <joerg@debian.org>
Uploaders: Gergely Nagy <algernon@bonehunter.rulez.org>, David B. Harris <dbharris@debian.org>
Standards-Version: 3.6.1

Package: dpatch
Architecture: all
Recommends: dpkg-dev, fakeroot, patchutils
Description: patch maintenance system for Debian source packages
 dpatch is an easy to use patch system for debian packages, somewhat
 similar to the dbs package, but much simpler to use.
 .
 It lets you store patches and other simple customization templates in
 debian/patches and otherwise does not require much reorganization of
 your source tree. To get the patches applied at build time you simply
 need to include a makefile snippet and then depend on the
 patch/unpatch target in the build or clean stage of debian/rules - or
 you can use the dpatch patching script directly.
 .
 It can easily apply patches only on specific architectures if needed.

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 # Install the whole thing, including DEBIAN/ and stuff from debian/
 binary-dpatch: testroot install
-#	gzip -9fc debian/NEWS >${DOCDIR}/NEWS.Debian.gz
+	gzip -9fc debian/NEWS >${DOCDIR}/NEWS.Debian.gz
 	gzip -9fc debian/changelog >${DOCDIR}/changelog.gz
 	install -m 0644 debian/copyright ${DOCDIR}/copyright
 	cd ${DPATCH} >/dev/null ;\

## dpatch 2.0.10.emdebian3

=== debian/changelog ===
dpatch (2.0.10.emdebian3) unstable; urgency=low

  * tools/shpp.awk: use awk instead of nawk

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 20 Oct 2006 21:01:06 +0300

dpatch (2.0.10.emdebian2) unstable; urgency=low

  * awk added to the build-deps

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sat, 21 Oct 2006 03:08:20 +0300

dpatch (2.0.10.emdebian1) unstable; urgency=low

  * emdebian: use DEBIAN_DIR environment variable for debian dir,
    or debian/ by default

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Mon, 10 Apr 2006 20:30:21 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Joerg Jaspert <joerg@debian.org>
+Build-Depends: mawk (>=1.3.3) | awk
 Uploaders: Gergely Nagy <algernon@bonehunter.rulez.org>, David B. Harris <dbharris@debian.org>
 Standards-Version: 3.6.1
 
 Package: dpatch
 Architecture: all
+Depends: debian-dir
 Recommends: dpkg-dev, fakeroot, patchutils
 Description: patch maintenance system for Debian source packages
  dpatch is an easy to use patch system for debian packages, somewhat

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,26 @@
 
 DOCS		= README README.History README.arch
 
-build:
+patch: debian/patch-stamp
+
+debian/patch-stamp:
+	cat debian/patches/*patch | patch -p1
+	touch debian/patch-stamp
+
+unpatch:
+	if [ -f debian/patch-stamp ]; then \
+		cat debian/patches/*patch | patch -p1 -R ;\
+		rm -f debian/patch-stamp; \
+	fi
+
+build: patch
 	test -e debian/control
 	${MAKE}
 
 testroot:
 	test -e debian/control && test xroot = x`whoami`
 
-clean: testroot
+clean: testroot unpatch
 	${MAKE} clean
 	rm -rf debian/files* ${DPATCH}

## dpatch 2.0.13

=== debian/changelog ===
dpatch (2.0.13) unstable; urgency=low

  * upload to unstable.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon,  6 Jun 2005 21:33:52 +0000

dpatch (2.0.12) experimental; urgency=low

  * Marc Haber:
    + New maintainer team: Maintainers point to dpatch-maintainers@
      lists.alioth.debian.org, team members are in Uploaders.
    + (dpatch-get-origtargz): New script to find upstream tarball, also
      available for third parties (for example a svn-buildpackage
      hook). (Closes: #291666)
    + (dpatch-edit-patch): Adapt to use external code
    + (dpatch-edit-patch): Allow replacing of dpatch-get-origtargz by
      a user-supplied hook script. Discussion of this feature is in
      BTS #291668.
    + (dpatch-edit-patch): Add config file
      debian/patches/00dpatch.conf where selected configuration variables
      can be set from within the package. (Closes: #291668).
    + (dpatch-edit-patch): re-work dpep parameter processing to use
      getopt. (Closes: #291665)
    + (dpatch-edit-patch): dereference all symlinks on reference or
      work copy cration. (Closes: #275700)
    + (dpatch_lowlevel.shpp): display correct path to *.dpatch.failed.
      (Closes: #306978)
    + (dpatch.make): do not reverse UNPATCHLIST. (Closes: #305023)
    + (dpatch-edit-patch): Exclude CVS and .svn from the reference and
      working copy (configurable via the --exclude option). (Closes: #209112)
  * Junichi Uekawa:
    + (dpatch-convert-diffgz.1): Clarify documentation to say that it is
      using 'Debian' .diff.gz created throught dpkg-buildpackage.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 15 May 2005 14:38:32 +0000

dpatch (2.0.11) experimental; urgency=low

  * Gergely Nagy:
    + Fix 01_config.dpatch; thanks, Peter Eisentraut. (Closes: #274533).
    + Fix dpatch-edit-patch(1) by removing the executable template docs;
      patch from Nico Golde. (Closes: #254689)
    + Update dpatch(1) example section, mentioning parallel builds.
      Patch from Eduard Bloch. (Closes: #271831)
    + Removed the README, as fast everything in it is duplicated on the
      manual pages, and those are kept up to date.
    + Swapped Joerg and myself (Maintainer<->Uploaders). Chocolate,
      flowers and whatnot to my room, please.
    + Fixed dpatch-edit-patch's --help option parsing.
    + debian/control (Suggests): Added curl, as dpatch-edit-patch might
      use it in some cases, if available.
  * Marc Haber:
    + [dpatch-edit-patch]: Changed the default behaviour to not clean the
      work drirectory, and added a --clean switch to restore the former
      mode of operation. (Closes: #288282)
    + [dpatch-edit-patch]: Added a --debianonly switch to support
      debian/-only source package layouts. (Closes: #288284)

 -- Gergely Nagy <algernon@bonehunter.rulez.org>  Sun, 16 Jan 2005 14:06:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: dpatch
 Section: devel
 Priority: optional
-Maintainer: Joerg Jaspert <joerg@debian.org>
-Build-Depends: mawk (>=1.3.3) | awk
-Uploaders: Gergely Nagy <algernon@bonehunter.rulez.org>, David B. Harris <dbharris@debian.org>
+Maintainer: Dpatch Maintainers <dpatch-maintainers@lists.alioth.debian.org>
+Uploaders: Gergely Nagy <algernon@bonehunter.rulez.org>, Joerg Jaspert <joerg@debian.org>, Junichi Uekawa <dancer@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 3.6.1
 
 Package: dpatch
 Architecture: all
-Depends: debian-dir
 Recommends: dpkg-dev, fakeroot, patchutils
+Suggests: curl
 Description: patch maintenance system for Debian source packages
  dpatch is an easy to use patch system for debian packages, somewhat
  similar to the dbs package, but much simpler to use.

=== debian/rules ===
--- 
+++ 
@@ -7,28 +7,16 @@
 DOCDIR		= ${DPATCH}/usr/share/doc/dpatch
 EXDIR		= ${DOCDIR}/examples
 
-DOCS		= README README.History README.arch
+DOCS		= README.History README.arch
 
-patch: debian/patch-stamp
-
-debian/patch-stamp:
-	cat debian/patches/*patch | patch -p1
-	touch debian/patch-stamp
-
-unpatch:
-	if [ -f debian/patch-stamp ]; then \
-		cat debian/patches/*patch | patch -p1 -R ;\
-		rm -f debian/patch-stamp; \
-	fi
-
-build: patch
+build:
 	test -e debian/control
 	${MAKE}
 
 testroot:
 	test -e debian/control && test xroot = x`whoami`
 
-clean: testroot unpatch
+clean: testroot
 	${MAKE} clean
 	rm -rf debian/files* ${DPATCH}

## dpatch 2.0.19

=== debian/changelog ===
dpatch (2.0.19) unstable; urgency=low

  [Junichi Uekawa]
  * Fix spelling mistake in manual pages (Closes: #357440).
  * Bug fix: "dpatch: [manual] Missing SEE ALSO dpatch-list-patch(1)",
    thanks to Jari Aalto (Closes: #352424).

 -- Junichi Uekawa <dancer@debian.org>  Sat, 25 Mar 2006 14:44:03 +0900

dpatch (2.0.18) unstable; urgency=low

  * Bug fix: "dpatch-convert-diffgz creates inconsistant 00list", thanks
    to Charles Fry (Closes: #328400).
    Remove document that refers to '01-patchname.dpatch' as the format for 
    00list file (dpatch.1), and update to document the real practice.
  * Bug fix: "dpatch-edit-patch produces locale-dependent patch output",
    thanks to Peter Eisentraut (Closes: #341103).
  * fix obvious typo, list-up-tp -> list-up-to

 -- Junichi Uekawa <dancer@debian.org>  Sat, 11 Feb 2006 23:33:32 +0900

dpatch (2.0.17) unstable; urgency=low

  * Fix a bug where dpatch-edit-patch writes a garbage filename when
    @DPATCH@ is not there on editing a patch.
  - tests/14_dpatch_edit_patch_without_DPATCH.sh
  * Bug fix: "dpatch-get-origtargz: bug when origtgz is a symlink", thanks
    to Enrico Tassi (Closes: #344691).

 -- Junichi Uekawa <dancer@debian.org>  Sat, 28 Jan 2006 08:21:15 +0900

dpatch (2.0.16) unstable; urgency=low

  * Bug fix: "dpatch: manpage typo: s/ th / the /", thanks to Justin
    Pryzby (Closes: #337160).
  * Bug fix: "dpatch suggests wrong cpp build dependency", thanks to
    Matthias Klose (Closes: #333005).
  * Bug fix: "examples/rules/rules.new.non-dh.gz uses undocumented
    --with-cpp option", thanks to Matthias Klose (Closes: #333006).
  * Bug fix: "dpatch-edit-patch should fail when no patchname specified",
    thanks to Charles Fry (Closes: #328731).

 -- Junichi Uekawa <dancer@debian.org>  Fri, 16 Dec 2005 08:16:54 +0900

dpatch (2.0.15) unstable; urgency=low

  * Bug fix: "dpatch: prettier diff -u headers", thanks to Peter Samuelson
    (Closes: #321320).
    - update testsuites. (dancerj)
  * Man page SEE ALSO update (dancerj)
    - dpatch-edit-patch.1 (closes: #320664)
    - dpatch-list-patch.1
    - dpatch-get-origtargz.1
    - dpatch-convert-diffgz.1
  * Remove reference to README file which is no longer there
    - dpatch-edit-patch.1 (closes: #328288)
    - dpatch-list-patch.1

 -- Junichi Uekawa <dancer@debian.org>  Sun, 18 Sep 2005 07:29:05 +0900

dpatch (2.0.14) unstable; urgency=low

  * Fix typo in dpatch.7 manpage. Thanks to A Costa. (mh) Closes: #312427
  * Fix more typos. (mh)
  * Fix dpatch-get-origtargz which had the apt-get source return code
    reversed. (mh)
  * add testsuite in tests/ directory. (dancerj)
  * dpatch-edit-patch.functions (dpep_template_hardcoded): change to
    accept patch description lines. (dancerj)
  - -d option works now with hardcoded default, when 00template does not exist.
  * dpatch-edit-patch.1, dpatch-edit-patch: new option --stampdir to specify
    debian/patched directory. (dancerj)
  * Bug fix: "running dpatch-edit-patch in a patched source tree leads to
    errors during clean target" (Closes: #314494). (dancerj)
  - This is also a response for request of OOo patch system.
    Rather than taking that approach, we check more rigorously.
    (Closes: #290820)
  - dpep: Check for debian/patched/patch.dpatch,
    and require --clean option to be specified in that case.
  - tests/05_edit_with_patched now passes.
  * dpatch-edit-patch does not give out an error message when --debianonly flag is given a nonexisting file, patch from mh. (closes: #317758)
    tests/10_dpep_debianonly.sh output is fixed.
  * Feature implementation:
    "dpatch-get-origtargz does not found upstream tarballs in
    ../upstream", thanks to Stefano Zacchiroli (Closes: #315719)
  * Fix curl detection. (mh) (Closes: #317757)
  * Standards-Version: 3.6.2 (no changes needed) (mh)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 19 Jul 2005 15:43:58 +0000

## dpatch 2.0.20

=== debian/changelog ===
dpatch (2.0.20) unstable; urgency=low

  [Junichi Uekawa]
  * dpatch-edit-patch, dpatch-get-origtargz: support epoch (Closes: #368250).
  * Bug fix: "possible issues with
    /usr/share/doc/dpatch/examples/rules/rules.new.dh.gz", thanks to Marc
    Haber (Closes: #357820).

 -- Junichi Uekawa <dancer@debian.org>  Fri,  2 Jun 2006 23:19:56 +0900

## dpatch 2.0.21

=== dpep/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	install --mode 0755 dpatch-edit-patch ${DESTDIR}${bindir}/
 	install --mode 0644 dpatch-edit-patch.1 ${DESTDIR}${man1dir}/
 	install -d ${DESTDIR}${pkgdatadir}
-	install --mode 0644 dpatch-edit-patch.functions ${DESTDIR}${pkgdatadir}/
+	install --mode 0755 dpatch-edit-patch.functions ${DESTDIR}${pkgdatadir}/
 	install -d ${DESTDIR}${sysconfdir}/bash_completion.d
 	install -m 0644	dpatch_edit_patch.bash_completion.d \
 		${DESTDIR}${sysconfdir}/bash_completion.d/dpatch_edit_patch

=== debian/changelog ===
dpatch (2.0.21) unstable; urgency=low

  * Bug fix: "dpatch: wrong example in manpage", thanks to Loic Le Guyader
    (Closes: #398452).
    The sample file was already fixed, but the manpage had the wrong version.
  * Bug fix: "Make dpatch-edit-patch updated patch to have a permission
    from umask, not 711", thanks to Daniel Leidert (Closes: #398495).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 15 Nov 2006 21:31:35 +0900

## dpatch 2.0.25

=== debian/changelog ===
dpatch (2.0.25) unstable; urgency=low

  * specify dpatch command to use bash, to use 'set -o pipefail', for
    users who are using dash as their /bin/sh.
     (Closes: #425966).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 27 May 2007 02:59:06 +0900

dpatch (2.0.23) unstable; urgency=low

  * Bug fix: "dpatch: option -v causes errors to be ignored", thanks to
    Peter Eisentraut (Closes: #396738).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 20 May 2007 08:27:35 +0900

dpatch (2.0.22) unstable; urgency=low

  * dpatch-edit-patch: default ignore directory was "CVS .svn", it is now 
    "CVS .svn .git .arch .hg _darcs .bzr"
  * add pbuilder-test.
  * Bump Standards-Version to 3.7.2

 -- Junichi Uekawa <dancer@debian.org>  Tue,  8 May 2007 02:02:24 +0900

## dpatch 2.0.28

=== dpep/Makefile ===
top_srcdir	:= ..

include ../config.mk

all clean: ;

install:
	install --mode 0755 dpatch-edit-patch ${DESTDIR}${bindir}/
	install --mode 0755 dpatch-cowdancer-patch ${DESTDIR}${bindir}/
	install --mode 0644 dpatch-edit-patch.1 ${DESTDIR}${man1dir}/
	install --mode 0644 dpatch-edit-patch.1 ${DESTDIR}${man1dir}/dpatch-cowdancer-patch.1
	install -d ${DESTDIR}${pkgdatadir}
	install --mode 0755 dpatch-edit-patch.functions ${DESTDIR}${pkgdatadir}/
	install -d ${DESTDIR}${sysconfdir}/bash_completion.d
	install -m 0644	dpatch_edit_patch.bash_completion.d \
		${DESTDIR}${sysconfdir}/bash_completion.d/dpatch_edit_patch

=== scripts/Makefile ===
top_srcdir	:= ..

include ../config.mk

all clean: ;

install:
	install --mode 0755 dpatch-convert-diffgz ${DESTDIR}${bindir}/
	install --mode 0644 dpatch-convert-diffgz.1 ${DESTDIR}${man1dir}/
	install --mode 0755 dpatch-list-patch ${DESTDIR}${bindir}/
	install --mode 0644 dpatch-list-patch.1 ${DESTDIR}${man1dir}/
	install --mode 0755 dpatch-get-origtargz ${DESTDIR}${bindir}/
	install --mode 0644 dpatch-get-origtargz.1 ${DESTDIR}${man1dir}/

# arch-tag: 300ce63b-4d2e-4e55-8b36-720122051d35

=== samples/rules/Makefile ===
top_srcdir	:= ../..

include ../../config.mk

SAMPLES		= rules.dh rules.non-dh rules.new.dh rules.new.non-dh \
		00list.new.non-dh

all clean: ;

install:
	install -d ${DESTDIR}${sampledir}/rules
	install -m 0644 ${SAMPLES} ${DESTDIR}/${sampledir}/rules/

# arch-tag: c13082da-1c0a-4a33-a965-464b133e7985

=== debian/changelog ===
dpatch (2.0.28) unstable; urgency=low

  * Bug fix: "dpatch: manpage refers to DPGO_ORIGTARPATH but real variable
    is DPGO_ORIGTARGZPATH", thanks to Sylvain Le Gall (Closes: #444231).
  * Bug fix: "d-e-p: cmdline flag to automatically append new patch name
    to 00list", thanks to Sandro Tosi (Closes: #316588).
  * Bug fix: "/usr/bin/dpatch-edit-patch: d-e-p: cmdline flag for applying
    all patches when creating new patch", thanks to Sandro Tosi (Closes:
    #316587).
  * Bug fix: "Fix hyphens in man page and update FSF address in
    copyright.", thanks to Kumar Appaiah (Closes: #446049).
  * Bug fix: "dpatch: fails when $HOME contains spaces", thanks to Martin
    Koeppe (Closes: #440044).
  * Bug fix: "dpatch-edit-patch: when tarball retrieve fails, error msg is
    incomplete", thanks to Kurt B. Kaiser (Closes: #443140).
  * Bug fix: "dpatch-get-origtargz: doesn't use canonical tarball name
    for retrieved file", thanks to Kurt B. Kaiser (Closes: #443144).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 28 Oct 2007 13:47:55 +0900

dpatch (2.0.27) unstable; urgency=low

  * Bug fix: "dpatch: [patch] README.git - wording fixes", thanks to Jari
    Aalto (Closes: #435790).
  * Apply patch: "dpatch-edit-patch --debianonly=PATH tries to unpack PATH",
    thanks to Daniel Leidert (Closes: #426423).

 -- Junichi Uekawa <dancer@debian.org>  Fri, 03 Aug 2007 21:28:59 +0900

dpatch (2.0.26) unstable; urgency=low

  * Bug fix: "Stray 'q' in dpatch-edit-patch.functions breaks --shell (-l)
    argument to dpatch-edit-patch", thanks to Paul TBBle Hampson (Closes:
    #429051).
  * README.arch -> README.git: update contents to match current status
    quo.
  * dpatch.make.7: document patch-stamp usage, and update manpage example
    from the rules file snippet from samples/ directory.
  - Bug fix: "Undocumented sideeffect of forcing build to run", thanks to
    Marcin Owsiany (Closes: #429723).
  * Bug fix: "Cowdancer support for dpatch-edit-patch", thanks to Paul
    TBBle Hampson (Closes: #429048).
  - add dpatch-cowdancer-patch command for running dpatch-edit-patch with
    cowdancer.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 25 Jun 2007 21:19:59 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dpatch Maintainers <dpatch-maintainers@lists.alioth.debian.org>
 Uploaders: Gergely Nagy <algernon@bonehunter.rulez.org>, Joerg Jaspert <joerg@debian.org>, Junichi Uekawa <dancer@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2
 
 Package: dpatch
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DOCDIR		= ${DPATCH}/usr/share/doc/dpatch
 EXDIR		= ${DOCDIR}/examples
 
-DOCS		= README.History README.arch
+DOCS		= README.History README.git
 
 build:
 	test -e debian/control

## dpatch 2.0.29

=== debian/changelog ===
dpatch (2.0.29) unstable; urgency=low

  * add Vcs-Git and Vcs-Browser tags.
  * Using the -a -0 options twice to the same patch makes it overridden
    (Closes: #452702)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 26 Jan 2008 11:44:34 +0900

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,8 @@
 Maintainer: Dpatch Maintainers <dpatch-maintainers@lists.alioth.debian.org>
 Uploaders: Gergely Nagy <algernon@bonehunter.rulez.org>, Joerg Jaspert <joerg@debian.org>, Junichi Uekawa <dancer@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 3.7.2
+Vcs-Git: git://git.debian.org/git/dpatch/dpatch.git
+Vcs-Browser: http://git.debian.org/?p=dpatch/dpatch.git
 
 Package: dpatch
 Architecture: all

## dpatch 2.0.30

=== debian/changelog ===
dpatch (2.0.30) unstable; urgency=low

  * add README.source, thanks to Gerfried Fuchs <rhonda@debian.at> 
    (closes: #491092)
  * debian/control: standards-version 3.8.0
  * Bug fix: "dpatch: --desc vs. --desc-only", thanks to gregor herrmann
    (Closes: #470155).
  * depend on bash => 3.0-6 for pipefail

 -- Junichi Uekawa <dancer@debian.org>  Sun, 10 Aug 2008 23:46:17 +0900

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Dpatch Maintainers <dpatch-maintainers@lists.alioth.debian.org>
 Uploaders: Gergely Nagy <algernon@bonehunter.rulez.org>, Joerg Jaspert <joerg@debian.org>, Junichi Uekawa <dancer@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/git/dpatch/dpatch.git
 Vcs-Browser: http://git.debian.org/?p=dpatch/dpatch.git
 
 Package: dpatch
 Architecture: all
+Depends: bash (>=3.0-6)
 Recommends: dpkg-dev, fakeroot, patchutils
 Suggests: curl
 Description: patch maintenance system for Debian source packages
- dpatch is an easy to use patch system for debian packages, somewhat
+ dpatch is an easy to use patch system for Debian packages, somewhat
  similar to the dbs package, but much simpler to use.
  .
  It lets you store patches and other simple customization templates in

## dpatch 2.0.31

=== debian/changelog ===
dpatch (2.0.31) unstable; urgency=low

  * fix: /usr/share/dpatch/dpatch-edit-patch.functions: line 140: shifti:
    command not found (closes: #498609), thanks to Daniel Leidert
  * remove Gergely Nagy and Joerg Jaspert from Uploaders field; they
    haven't uploaded in five years. (closes: #519349)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 21 Mar 2009 23:29:38 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Dpatch Maintainers <dpatch-maintainers@lists.alioth.debian.org>
-Uploaders: Gergely Nagy <algernon@bonehunter.rulez.org>, Joerg Jaspert <joerg@debian.org>, Junichi Uekawa <dancer@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
+Uploaders: Junichi Uekawa <dancer@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/git/dpatch/dpatch.git
 Vcs-Browser: http://git.debian.org/?p=dpatch/dpatch.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DOCDIR		= ${DPATCH}/usr/share/doc/dpatch
 EXDIR		= ${DOCDIR}/examples
 
-DOCS		= README.History README.git
+DOCS		= README.History README.git README.source
 
 build:
 	test -e debian/control

## dpatch 2.0.31-0maemo1

=== debian/changelog ===
dpatch (2.0.31-0maemo1) unstable; urgency=low

  * fix

 -- Benoit HERVIER <khertan@khertan.net>  Tue, 19 Oct 2010 23:29:38 +0900
 

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Dpatch Maintainers <dpatch-maintainers@lists.alioth.debian.org>
-Uploaders: Junichi Uekawa <dancer@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
+Uploaders: Benoit HERVIER <khertan@khertan.net>
 Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/git/dpatch/dpatch.git
 Vcs-Browser: http://git.debian.org/?p=dpatch/dpatch.git
 
 Package: dpatch
 Architecture: all
-Depends: bash (>=3.0-6)
+Depends: bash
 Recommends: dpkg-dev, fakeroot, patchutils
 Suggests: curl
 Description: patch maintenance system for Debian source packages

## dpatch 2.0.32

=== debian/changelog ===
dpatch (2.0.32) unstable; urgency=low

  * New Maintainer (Closes: #562697).
  * Add build-arch and build-indep targets, as suggested by Lintian.
  * Bump Standards-Version to 3.9.2.
  * Convert to format "3.0 (native)".
  * Update the Vcs-* fields.
  * Convert debian/changelog to DEP-5 format.
  * Include documentation to work with debian/-only VCS layouts. Thanks,
    Daniel Leidert! (Closes: #449190)
  * Bugs fixed:
    + dpatch-edit-patch now allows colons in directory names. Patch from
      Sandro Tosi <matrixhasu@gmail.com> (Closes: #405493).
    + dpatch-edit-patch accepts the (documented) -r option
      (Closes: #388658).
    + Depend on dpkg-dev, for dpkg-architecture (Closes: #473680).
    + Print errors to stderr (Closes: #559168).
    + dpatch.make correctly sets the patch and unpatch targets as .PHONY
      (Closes: #456919).
    + CPP mode sets DEB_BUILD_ARCH_$arch correctly on non-linux archs
      (Closes: #355278).
    + Corrected dpatch(1) to make the patch/unpatch aliases clear
      (Closes: #372787).
    + Fixed documentation of how dpatch-edit-patch determines the author's
      name (Closes: #407306).
    + dpatch-edit-patch now properly respects $DPEP_TMPDIR
      (Closes: #403903).
    + dpatch-edit-patch now properly detects upstream versions with a
      hyphen (Closes: #445179).
  * New features:
    + dpatch-edit-patch can pass extra options to diff (via the
      DPEP_DIFF_OPTIONS environment variable, or -O command-line option)
      (Closes: #330594).
    + debhelper 7 (dh) support added, patch from Hideki Yamane (Debian-JP)
      <henrich@debian.or.jp> (Closes: #573567)
    + dpatches using dpatch.lib.sh's default patching mechanism will now
      also reset the timestamps of all patched files to be the same accross
      all files, if patchutils is installed (Closes: #466364).
    + dpatch-convert-diffgz now accepts PATCHNO_PATCHNAME format arguments
      too, similar to dpatch-edit-patch (Closes: #328730).
    + dpatch.make's patch target can now (optionally) depend on other make
      targets (Closes: #400888).
    + dpatch-edit-patch now export two variables to the subshell:
      DPEP_SHELL_REFDIR and DPEP_SHELL_WORKDIR (see the manual for details)
      (Closes: #481237).
    + dpatch-edit-patch can now (optionally) remove timestamps from the
      diffs it generates. See the manual page for details
      (Closes: #342774).
  * Features removed:
    + dpatch-get-origtargz is gone. With debian/rules get-orig-source and
      uupdate, it is of no use anymore. It was a source of bugs, however,
      and did not work with anything else but tar.gz archives.
      (Closes: #391776)
    + dpatch-cowdancer-patch was removed aswell, because due to the
      dpatch-get-origtargz removal, it would've needed an update. But I
      never used it, don't understand it, and would rather remove a tool
      than ship a broken one.
    + dpatch-edit-patch does not automatically attempt to fetch the
      original tarball when called with the -b option. It will still try
      to execute any hooks set, however.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 21 Aug 2011 11:43:30 +0200

## dpatch 2.0.33

=== debian/changelog ===
dpatch (2.0.33) unstable; urgency=low

  * dpatch is now DEPRECATED, please do not use it for new packages.
    + NEWS and manual pages updated accordingly.

  * dpatch-edit-patch does not fail anymore when there is binary data in
    the patch. Patch from Ben Brown (Closes: #638864).

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 23 Oct 2011 23:09:08 +0200

## dpatch 2.0.34

=== debian/changelog ===
dpatch (2.0.34) unstable; urgency=high

  * The magic that was supposed to reset the timestamps of patched files
    failed to take the --workdir option into account. This has now been
    corrected. (Closes: #651948)

    Urgency high because this bug breaks any build that uses --workdir,
    and has patchutils installed.

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 13 Dec 2011 17:19:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: dpatch
-Section: devel
+Section: vcs
 Priority: optional
-Maintainer: Dpatch Maintainers <dpatch-maintainers@lists.alioth.debian.org>
-Uploaders: Benoit HERVIER <khertan@khertan.net>
-Standards-Version: 3.8.0
-Vcs-Git: git://git.debian.org/git/dpatch/dpatch.git
-Vcs-Browser: http://git.debian.org/?p=dpatch/dpatch.git
+Maintainer: Gergely Nagy <algernon@madhouse-project.org>
+Standards-Version: 3.9.2
+Build-Depends-Indep: perl
+Vcs-Git: git://git.madhouse-project.org/debian/dpatch.git
+Vcs-Browser: http://git.madhouse-project.org/debian/dpatch/
 
 Package: dpatch
 Architecture: all
-Depends: bash
-Recommends: dpkg-dev, fakeroot, patchutils
+Depends: bash (>= 3.0-6), dpkg-dev
+Recommends: fakeroot, patchutils
 Suggests: curl
 Description: patch maintenance system for Debian source packages
  dpatch is an easy to use patch system for Debian packages, somewhat

## dpatch 2.0.34ubuntu1

=== debian/changelog ===
dpatch (2.0.34ubuntu1) precise; urgency=low

  * Mark dpatch Multi-Arch: foreign.  Closes: #658974.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 Feb 2012 19:58:33 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dpatch
 Section: vcs
 Priority: optional
-Maintainer: Gergely Nagy <algernon@madhouse-project.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gergely Nagy <algernon@madhouse-project.org>
 Standards-Version: 3.9.2
 Build-Depends-Indep: perl
 Vcs-Git: git://git.madhouse-project.org/debian/dpatch.git
@@ -9,6 +10,7 @@
 
 Package: dpatch
 Architecture: all
+Multi-Arch: foreign
 Depends: bash (>= 3.0-6), dpkg-dev
 Recommends: fakeroot, patchutils
 Suggests: curl

## dpatch 2.0.35~bpo60+1

=== debian/changelog ===
dpatch (2.0.35~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Alexander Wirt <formorer@debian.org>  Sun, 26 Feb 2012 09:02:06 +0000

dpatch (2.0.35) unstable; urgency=low

  * Mark the package Multi-Arch: foreign, thanks Riku Voipio
    <riku.voipio@linaro.org>. (Closes: #658974)

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 07 Feb 2012 10:07:31 +0100

## dpatch 2.0.35

=== Makefile ===
top_srcdir	= .

include config.mk

all .DEFAULT:
	${MAKE} -C compat $@
	${MAKE} -C dpatch $@
	${MAKE} -C dpep $@
	${MAKE} -C samples $@
	${MAKE} -C scripts $@

tla-release:
	mkdir dpatch-${DPATCH_REVISION}
	for file in $$(tla inventory -s | sort); do \
		install -d dpatch-${DPATCH_REVISION}/$$(dirname $$file); \
		cp -p $$file dpatch-${DPATCH_REVISION}/$$file ;\
	done
	tar cf - dpatch-${DPATCH_REVISION} | gzip -9fc >dpatch-${DPATCH_REVISION}.tar.gz
	rm -rf dpatch-${DPATCH_REVISION}

.PHONY: all

# arch-tag: d6597b23-ddec-4898-89e9-b45d313f9d1d

=== compat/Makefile ===
top_srcdir	:= ..

include ../config.mk

all clean: ;

install:
	install -d ${DESTDIR}${datadir}/dpatch
	install --mode 0644 dpatch.make ${DESTDIR}${datadir}/dpatch/
	install --mode 0644 dpatch.make.7 ${DESTDIR}${man7dir}/

# arch-tag: cbe3a397-3a6e-466e-93bb-84eb7ba54976

=== dpatch/Makefile ===
top_srcdir	:= ..

DPATCH_SRCS	:= $(shell sed -n s/^\#:include//p dpatch.shpp)

include ../config.mk

all: dpatch dpatch-run dpatch.lib.sh

dpatch: dpatch.shpp ../debian/changelog ${DPATCH_SRCS}

	DPATCH_REVISION="${DPATCH_REVISION}" \
	  SYSCONFDIR="${sysconfdir}" ../tools/shpp.awk <dpatch.shpp >dpatch
	chmod +x dpatch

dpatch-run: dpatch-run.shpp
	../tools/shpp.awk <dpatch-run.shpp >dpatch-run

dpatch.lib.sh: dpatch.lib.shpp
	../tools/shpp.awk <dpatch.lib.shpp >dpatch.lib.sh

clean:
	rm -f dpatch dpatch-run dpatch.lib.sh

install: all
	install --mode 0755 dpatch ${DESTDIR}${bindir}/
	install --mode 0644 dpatch.1 ${DESTDIR}${man1dir}/
	install --mode 0644 dpatch.7 ${DESTDIR}${man7dir}/
	install --mode 0644 dpatch-run ${DESTDIR}${pkgdatadir}/
	install --mode 0644 dpatch.lib.sh ${DESTDIR}${pkgdatadir}/

.PHONY: all clean install
.SUFFIXES:

# arch-tag: ae9d044e-94e2-4692-9a3d-fbff280e147e

=== dpep/Makefile ===
top_srcdir	:= ..

include ../config.mk

all clean: ;

install:
	install --mode 0755 dpatch-edit-patch ${DESTDIR}${bindir}/
	install --mode 0644 dpatch-edit-patch.1 ${DESTDIR}${man1dir}/
	install -d ${DESTDIR}${pkgdatadir}
	install --mode 0755 dpatch-edit-patch.functions ${DESTDIR}${pkgdatadir}/
	install -d ${DESTDIR}${sysconfdir}/bash_completion.d
	install -m 0644	dpatch_edit_patch.bash_completion.d \
		${DESTDIR}${sysconfdir}/bash_completion.d/dpatch_edit_patch

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dpatch
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gergely Nagy <algernon@madhouse-project.org>
+Maintainer: Gergely Nagy <algernon@madhouse-project.org>
 Standards-Version: 3.9.2
 Build-Depends-Indep: perl
 Vcs-Git: git://git.madhouse-project.org/debian/dpatch.git

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,18 @@
 DOCDIR		= ${DPATCH}/usr/share/doc/dpatch
 EXDIR		= ${DOCDIR}/examples
 
-DOCS		= README.History README.git README.source
+DOCS		= README.History README.source README.svn-mergeWithUpstream
 
-build:
+build-dpatch:
 	test -e debian/control
 	${MAKE}
+# add addon for debhelper7
+	pod2man -c Debhelper debhelper/dh_dpatch_patch debian/dh_dpatch_patch.1
+	pod2man -c Debhelper debhelper/dh_dpatch_unpatch debian/dh_dpatch_unpatch.1
+
+build-arch: ;
+build-indep: build-dpatch
+build: build-arch build-indep
 
 testroot:
 	test -e debian/control && test xroot = x`whoami`
@@ -19,9 +26,10 @@
 clean: testroot
 	${MAKE} clean
 	rm -rf debian/files* ${DPATCH}
+	rm -f debian/dh_dpatch_patch.1 debian/dh_dpatch_unpatch.1
 
 # General compresser rule
-${DOCDIR}/%.gz: %
+${DOCDIR}/%.gz: docs/%
 	gzip -9fc $< >$@
 
 # Install directories
@@ -29,7 +37,8 @@
 	install -d ${DPATCH}/usr/bin \
 		   ${DPATCH}/DEBIAN \
 		   ${EXDIR} ${MAN1DIR} ${MAN7DIR} \
-		   ${DPATCH}/etc/bash_completion.d
+		   ${DPATCH}/etc/bash_completion.d \
+		   ${DPATCH}/usr/share/perl5/Debian/Debhelper/Sequence
 
 # Install everything, save DEBIAN/ and stuff from debian/
 install: build installdirs \
@@ -38,6 +47,11 @@
 	${MAKE} install DESTDIR=${DPATCH}
 # history
 	cp -r history ${DOCDIR}/
+# install dh7 addons
+	install -m0644 debhelper/dpatch.pm ${DPATCH}/usr/share/perl5/Debian/Debhelper/Sequence/
+	install -m0644 debian/dh_dpatch_patch.1 ${MAN1DIR}
+	install -m0644 debian/dh_dpatch_unpatch.1 ${MAN1DIR}
+	install -m0755 debhelper/dh_dpatch_* ${DPATCH}/usr/bin/
 # Compress stuff
 	find ${MAN1DIR} -type f -not -name '*.gz' | xargs gzip -9f
 	find ${MAN7DIR} -type f -not -name '*.gz' | xargs gzip -9f
@@ -55,6 +69,8 @@
 	cd ${DPATCH} >/dev/null; \
 	  find * -type f ! -regex '^DEBIAN/.*' -print0 | \
 		xargs -r0 md5sum > DEBIAN/md5sums
+	find ${DPATCH} -type f -name '*.gz' | xargs chmod 0644
+	find ${DPATCH}/DEBIAN -type f | xargs chmod 0644
 	dpkg-gencontrol -isp -P${DPATCH}
 	dpkg --build ${DPATCH} ..

## dpatch 2.0.37

=== debian/changelog ===
dpatch (2.0.37) unstable; urgency=medium

  * Convert the packaging to debhelper: hopefully fixes all the
    reproducible build issues.
  * Install bash completion for dpatch-edit-patch to
    /usr/share/bash-completion/completions, as suggested by Lintian.

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 10 Aug 2015 11:22:40 +0200

dpatch (2.0.36) unstable; urgency=medium

  [ Maria Valentina Marin ]
  * Fix mtimes before building binary packages to produce reproducible
    output. (Closes: #792954)

  [ Gergely Nagy ]
  * Add -n to all gzip invocations, to avoid timestamps in gzipped files,
    and to aid reproducible builds. Spotted by Lintian.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Rearrange the copyright file to make it more succint, and to please
    Lintian.
  * Update the Vcs-* URLs to point to reachable locations.

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 21 Jul 2015 10:55:30 +0200

## dpatch 2.0.38

=== compat/Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 all clean: ;
 
 install:
-	install -d ${DESTDIR}${datadir}/dpatch
+	install -d ${DESTDIR}${datadir}/dpatch \
+		   ${DESTDIR}${man7dir}
 	install --mode 0644 dpatch.make ${DESTDIR}${datadir}/dpatch/
 	install --mode 0644 dpatch.make.7 ${DESTDIR}${man7dir}/

=== scripts/Makefile ===
top_srcdir	:= ..

include ../config.mk

all clean: ;

install:
	install --mode 0755 dpatch-convert-diffgz ${DESTDIR}${bindir}/
	install --mode 0644 dpatch-convert-diffgz.1 ${DESTDIR}${man1dir}/
	install --mode 0755 dpatch-list-patch ${DESTDIR}${bindir}/
	install --mode 0644 dpatch-list-patch.1 ${DESTDIR}${man1dir}/

# arch-tag: 300ce63b-4d2e-4e55-8b36-720122051d35

=== debian/changelog ===
dpatch (2.0.38) unstable; urgency=medium

  * Don't just install bash completion to a new place, remove the old files
    too. Thanks Sven Joachim <svenjoac@gmx.de> for the report and the patch!
    (Closes: #806337)

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 30 Nov 2015 12:16:42 +0100

## dpatch 2.0.38%2Bnmu1

=== samples/rules/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include ../../config.mk
 
 SAMPLES		= rules.dh rules.non-dh rules.new.dh rules.new.non-dh \
-		00list.new.non-dh
+		00list.new.non-dh rules.dh7
 
 all clean: ;

=== debian/changelog ===
dpatch (2.0.38+nmu1) unstable; urgency=medium

  * Non-maintainer upload.  Uploaded without delay with
    maintainer's permission  (#889006 comment 44).
  * Apply patch from Sven Joachim to FTBFS if awk is provided
    by original-awk rather than mawk.  (Closes: #868978)
  * Run dh_dpatch_patch before dh_update_autotools_config rather
    than before dh_auto_configure to ensure patching happens
    before autotools "retooling".  (Closes: #889006)

 -- Niels Thykier <niels@thykier.net>  Sun, 04 Feb 2018 15:23:16 +0000

## dpatch 2.0.38+nmu1~bpo9+1

=== debian/changelog ===
dpatch (2.0.38+nmu1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 17 Feb 2019 15:24:57 +0100

## dpatch 2.0.38+nmu1~mx17+1

=== debian/changelog ===
dpatch (2.0.38+nmu1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Apr 2018 13:56:47 -0700

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: dpatch
 Section: vcs
 Priority: optional
-Maintainer: Gergely Nagy <algernon@madhouse-project.org>
-Standards-Version: 3.9.2
-Build-Depends-Indep: perl
-Vcs-Git: git://git.madhouse-project.org/debian/dpatch.git
-Vcs-Browser: http://git.madhouse-project.org/debian/dpatch/
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Gergely Nagy <algernon@madhouse-project.org>
+Standards-Version: 3.9.6
+Build-Depends-Indep: debhelper (>= 9~), perl
+Vcs-Git: git://anonscm.debian.org/dpatch/dpatch.git
+Vcs-Browser: http://anonscm.debian.org/cgit/dpatch/dpatch.git/
 
 Package: dpatch
 Architecture: all
 Multi-Arch: foreign
-Depends: bash (>= 3.0-6), dpkg-dev
+Depends: bash (>= 3.0-6), dpkg-dev, ${perl:Depends}, ${misc:Depends}
 Recommends: fakeroot, patchutils
 Suggests: curl
 Description: patch maintenance system for Debian source packages
